/* global module: false, require: false, process: false */
'use strict';

const EmberAddon = require('ember-cli/lib/broccoli/ember-addon');
const defaultsDeep = require('lodash.defaultsdeep');
const options = require('@choiceform/ui-foundation/defaults')();

module.exports = function(defaults) {
  if (defaults.project.findAddonByName('ember-native-dom-event-dispatcher')) {
    defaults.vendorFiles = {'jquery.js': false};
  }

  let app = new EmberAddon(defaults, defaultsDeep({
    importSVGIcon: false
  }, options));

  /*
    This build file specifies the options for the dummy test app of this
    addon, located in `/tests/dummy`
    This build file does *not* influence how the addon or the app using it
    behave. You most likely want to be modifying `./index.js` or app's build file
  */

  return app.toTree();
};
