/* global module: false */
'use strict';

module.exports = {
  'test_page': 'tests/index.html?hidepassed',
  'disable_watching': true,
  'firefox_user_js': './firefox_config.js',
  'launch_in_ci': [
    // 'Chrome',
    'PhantomJS'
  ],
  'launch_in_dev': [
    'Chrome',
    // 'Firefox'
  ],
  'browser_args': {
    Chrome: [
      '--headless',
      '--disable-gpu',
      '--window-size=1280,800',
      '--remote-debugging-port=9222'
    ]
  }
};
