/* global module: false */
'use strict';

module.exports = {
  root: true,
  parserOptions: {
    ecmaFeatures: {
      experimentalObjectRestSpread: true
    },
    ecmaVersion: 2017,
    sourceType: 'module'
  },
  extends: 'eslint:recommended',
  env: {
    amd: true,
    browser: true,
    commonjs: true,
    es6: true,
    node: true,
    qunit: true,
    serviceworker: true,
    'shared-node-browser': true,
    worker: true
  },
  rules: {
  }
};
