# Icon Helper 的用法示例

## 渲染普通 SVG 图标（继承父级样式颜色）

```htmlbars
{{icon "name"}}
```

## 渲染普通 SVG 图标（指定颜色）

```htmlbars
{{icon "name" color="seagreen"}}
```

## 渲染普通 SVG 图标（指定尺寸）

```htmlbars
{{icon "name" size=24}}
```

## 渲染普通 SVG 图标（指定 viewBox）

```htmlbars
{{icon "name" viewBox=24}}
```

## 渲染 symbol 类型图标

```htmlbars
{{icon "name" type="symbol" color="#000000" fill="#ffffff"}}
```

## 渲染 logo 类型图标

```htmlbars
{{icon "name" type="logo" color="#000000" fill="#ffffff"}}
```

## 渲染图像图标

```htmlbars
{{icon image="/assets/images/example.png" size=24 viewBox=36 radius=3}}
```
